IOS support for HWIC-1ADSL on 1841?

Unanswered Question
May 15th, 2008
User Badges:

As always, thanks for assisting...


I just recently (and very expensively) purchased a HWIC-1ADSL for my 1841 router.


Unfortunately, it doesn't display in the configuration - nor any lights appear on it for power/link.


My first guess is I need to upgrade my IOS. The current version on my 1841 is 12.4(17). Which appears to be pretty current.


Could somebody please point me in the right direction?


Thanks.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
spremkumar Fri, 05/16/2008 - 05:54
User Badges:
  • Red, 2250 points or more

Hi


Did you try to check out the output of show version or show diag command ?


can you just check out whether the ios is detecting the module using those commands ?


http://tools.cisco.com/Support/Fusion/FusionHome.do


you can make use of the above mentioned tool to find out the software code required to support the hardware installed in your router.


regds


Richard Burts Fri, 05/16/2008 - 06:13
User Badges:
  • Super Silver, 17500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 LAN, WAN

Jonathan


It looks to me like you need the 12.4T train of code rather than 12.4 mainline to support the HWIC-1ADSL. I found it it referenced in the release notes for 12.4(11)T, so you need that or something more recent than that.


HTH


Rick

Sushil Kumar Katre Fri, 05/16/2008 - 08:35
User Badges:
  • Gold, 750 points or more

Hi,


HWIC-1ADSL is requires minimum 12.4.4T IOS version to be supported on 1841 router. You are correct in saying that you are running a later release but its not a T train its a general deployment release.


You need to be running T release IOS for this module to work. Upgrade the router to the latest available T release like 12.4.15T or something like that - not sure if cisco has release any other IOS after this.


-> Sushil

usslindstrom Fri, 05/16/2008 - 17:22
User Badges:

Thank you guys very much for the info...


It looks like my winner is then:


c1841-broadband-mz.124-4.T3.bin



But now comes the fun part. How and where can I download that IOS release?


A while ago, I found the spot on Cisco's site and was able to download IOS' using my username/password... But I can't seem to find the same location.


Following this link, and navigating to "IOS Softwar" gives me a "restricted page"


http://www.cisco.com/public/sw-center/index.shtml


Any ideas.


Again, thanks for all the help.

usslindstrom Fri, 05/16/2008 - 17:24
User Badges:

Also, this image:


c1841-broadband-mz.124-15.T5.bin


Would be an even better choice.

usslindstrom Sat, 05/24/2008 - 22:37
User Badges:

Thank you everyone for your solutions here...


Problem solved with the Router in not recognizing the HWIC module, by utilizing this IOS:


c1841-adventerprisek9-mz.124-15.T3


. . .

james.painter Sun, 03/25/2012 - 06:45
User Badges:

Hi Usslindstrom,


I know this is a long shot, but could someone help me source the IOS file "c1841-broadband-mz.124-15.T5.bin" please. I have tried setting up a Cisco account but it would appear i need more than that. I have a Cisco 1841 (Aquired during clearing out a Comms unit.) and a HWIC-1ADSL-M (Never used, Still boxed, Was ment to be intalled by ISP fo backup a while ago, never happened). I have put the module in the 1841, but it wont detect it, seem to be exacly the same issue.


If someone could help me, either let me know how to download from Cisco or a FTP location (I have one if you could send me the file?) Please let me know.


Thanks,

Richard Burts Mon, 03/26/2012 - 06:00
User Badges:
  • Super Silver, 17500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 LAN, WAN

James


Unfortunately the only legal way to get that software is to download it from Cisco. And to download it from Cisco you need an active maintenance contract, which it sounds like you do not have.


HTH


Rick

Actions

This Discussion